replicaCount: 1

image:
  repository: k8r.eu/justjanne/rtorrent-docker
  pullPolicy: IfNotPresent
  tag: ""

imagePullSecrets: [ ]
nameOverride: ""
fullnameOverride: ""

wireguard:
  enabled: false
  localNetworks: ""
  config: |-
    [Interface]
    PrivateKey = XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
    Address = XXX.XXX.XXX.XXX/32,XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX/128
    DNS = XXX.XXX.XXX.XXX

    [Peer]
    PublicKey = XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
    AllowedIPs = XXX.XXX.XXX.XXX/32,XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX:XXXX/128
    Endpoint = XXX.XXX.XXX.XXX:XXXXX""
  securityContext:
    capabilities:
      add:
        - NET_ADMIN
  resources:
    limits:
      cpu: 200m
      memory: 100Mi
    requests:
      cpu: 50m
      memory: 10Mi

rtorrent:
  externalIpCommand: ""
  externalIp: ""
  config:
    RT_TRACKER_UDP: "yes"
    RT_MIN_PORT: "50000"
    RT_MAX_PORT: "50000"
    RT_PROTO_DHT: "disable"
    RT_DHT_PORT: 6881
    RT_PROTO_PEX: "no"
    RT_MAX_UP: "100"
    RT_MAX_UP_GLOBAL: "250"
    RT_MIN_PEERS: "20"
    RT_MAX_PEERS: "60"
    RT_MIN_PEERS_SEED: "30"
    RT_MAX_PEERS_SEED: "80"
    RT_TRACKERS_WANT: "80"
    RT_MEMORY_MAX: "1800M"
    RT_LOGLEVEL: "info"
    EXTERNAL_IP_CMD: ""
    EXTERNAL_IP: ""
  securityContext:
    capabilities:
      drop:
        - ALL
    readOnlyRootFilesystem: true
  resources:
    limits:
      cpu: 500m
      memory: 2Gi
    requests:
      cpu: 200m
      memory: 500Mi

volumes:
  data: |-
    emptyDir: {}
  session: |-
    emptyDir: {}

service:
  type: ClusterIP

podAnnotations: { }

podSecurityContext:
  fsGroup: 2000

nodeSelector: { }

tolerations: [ ]

affinity: { }
